﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_DataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = getData();
        }

        private DataTable getData()
        {
            DataColumn[] PrimaryColumn = new DataColumn[1];
            DataTable dt = new DataTable();

            PrimaryColumn[0] = dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Age", typeof(int));
            dt.Columns.Add("Location", typeof(string));

            dt.PrimaryKey = PrimaryColumn;

            dt.Rows.Add(1, "たかし", 28, "静岡");
            dt.Rows.Add(2, "としひこ", 30, "大阪");
            dt.Rows.Add(3, "じゅんこ", 27, "鳥取");
            dt.Rows.Add(4, "さとみ", 28, "神奈川");
            dt.Rows.Add(5, "えりこ", 50, "東京");
            dt.Rows.Add(6, "しんいち", 32, "島根");
            dt.Rows.Add(7, "ゆみこ", 37, "静岡");
            dt.Rows.Add(8, "みな", 31, "兵庫");
            dt.Rows.Add(9, "たくや", 40, "徳島");
            dt.Rows.Add(10, "まゆ", 43, "三重");

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            // 年齢(Age)列の背景色を変更する。
            e.Layout.Bands[0].Columns["Age"].CellAppearance.BackColor = Color.Orange;
        }
    }
}
